KDE 4.7 PyKDE API Reference

- KDE's Python API

# Token Class Reference

`from PyKDE4.kutils import *`

Namespace: KEmoticonsTheme

## Detailed Description

A token consists of a QString text which is either a regular text or a path to image depending on the type. If type is Image the text refers to an image path. If type is Text the text refers to a regular text.

## Attributes
QString | picHTMLCode
QString | picPath
QString | text
KEmoticonsTheme.TokenType | type
## Methods
| __init__ (self)
| __init__ (self, KEmoticonsTheme.TokenType t, QString m)
| __init__ (self, KEmoticonsTheme.TokenType t, QString m, QString p, QString html)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | KEmoticonsTheme.TokenType | t,
|  | QString | m
| ) |  |  |

Create a Token of type t, and text m

__init__ | ( | self, |
|  | KEmoticonsTheme.TokenType | t,
|  | QString | m,
|  | QString | p,
|  | QString | html
| ) |  |  |

Create a Token of type t, text m, image path p and html code html

## Attribute Documentation

QString picHTMLCode

QString picPath

QString text

KEmoticonsTheme.TokenType type